---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Capture or Cancel authorization request

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/agent/manage-transaction": {
      "summary": "This specification provides the details to capture or cancel authorization request",
      "post": {
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payload_capture_or_cancel_auth_req_requestData"
              },
              "examples": {
                "capture authorization request": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "intent": "capture-authorization",
                    "tid": 756850,
                    "version": "1.3",
                    "timestamp": 1590613956
                  }
                },
                "cancel authorization request": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "intent": "cancel-authorization",
                    "tid": 756850,
                    "version": "1.3",
                    "timestamp": 1590613956
                  }
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Manage Payment Request"
        ],
        "parameters": [
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_for_manage_transactions"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-capture-cancel-auth-req-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "captureOrCancelAuthorizationRequest",
        "summary": "Capture or Cancel authorization request"
      }
    }
  },
  "components": {
    "schemas": {
      "property_common_base_properties": {
        "required": [
          "merchant_id",
          "application_key",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "amount": {
        "description": "Transaction amount in cents.\n\n*__Note__*: *For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.*",
        "maxLength": 20,
        "type": "integer"
      },
      "gateway": {
        "description": "Gateway doing the processing.",
        "maxLength": 32,
        "type": "string"
      },
      "withdrawal_request_id": {
        "description": "Original transaction identifier from. Send the **tid** of withdrawal request if you want the payout amount to be deducted from withdrawal request as processed.",
        "maxLength": 11,
        "type": "integer"
      },
      "card_number": {
        "description": "Customer card number (4444 44** **** 1233)",
        "maxLength": 19,
        "type": "string"
      },
      "card_exp": {
        "description": "Customer card exp (10/2023)",
        "maxLength": 8,
        "type": "string"
      },
      "mit": {
        "title": "mit",
        "description": "The mit object is important for MIT (Merchant-Initiated Transactions). If you do consider processing the credit card payments over Direct API on customer's behalf, include this object into your Direct API requests.",
        "required": [
          "type"
        ],
        "type": "object",
        "properties": {
          "type": {
            "description": "Type of MIT transaction.\r\nPossible values:\r\n- initial\r\n- subsequent\r\n\r\n**Required** field for every MIT attempts",
            "maxLength": 32,
            "enum": [
              "initial",
              "subsequent"
            ],
            "type": "string"
          },
          "expiry": {
            "$ref": "#/components/schemas/expiry"
          },
          "mit_reference_id": {
            "$ref": "#/components/schemas/mit_reference_id"
          }
        },
        "example": {
          "type": "initial",
          "expiry": 365
        }
      },
      "mit_reference_id": {
        "description": "TID from previous successful zero-authorization or initial-mit transactions.\r\n**Required** for subsequent MIT requests.",
        "maxLength": 11,
        "type": "integer"
      },
      "expiry": {
        "description": "Time to expire the transaction in days. After expiration, the system will not allow to process subsequent MIT using this transaction.\r\n\r\n**Optional**, default value is 365 (1 year).\r\n\r\n**Required** for '0-auth', 'mit-initial'",
        "maxLength": 5,
        "type": "integer"
      },
      "card_token": {
        "description": "HASH value of customer's card.\n\n*__Note:__* *This field must not be sent in any subsequent Merchant Initiated Transaction (MIT) requests.*",
        "maxLength": 32,
        "type": "string",
        "example": "af7d1b07c48fbeff116b2bb3e84fb4c9"
      },
      "payment_method": {
        "description": "Payment method.\r\n\r\nThe `payment_method` parameter allows for overriding the specific `gateway` parameter, when utilizing features such as Cascading (for sale) or WD Routing Rules (for payout), for payment methods that support these options.\r\n\r\nIf both parameters `gateway` and `payment_method` received, the `gateway` value will be selected for the processing.",
        "maxLength": 50,
        "type": "string"
      },
      "card_type": {
        "description": "Customer card type (AMEX, DinersClub, Discover, Electron, JCB, Maestro, MasterCard, Mir, VISA)",
        "maxLength": 10,
        "type": "string"
      },
      "card_issuer_name": {
        "description": "Customer card issuing bank name",
        "maxLength": 255,
        "type": "string"
      },
      "card_issuer_country": {
        "description": "Customer card issuing bank country",
        "maxLength": 2,
        "type": "string"
      },
      "processed_currency": {
        "description": "Actual currency processed. Applies to successful transactions. In Direct API processed_currency must match currency (transaction currency)",
        "maxLength": 3,
        "type": "string"
      },
      "processed_amount": {
        "description": "Amount (in actual processing currency) in cents. Applies to successful transactions.",
        "maxLength": 20,
        "type": "integer"
      },
      "spread_currency": {
        "description": "Actual currency processed. Applies to successful transactions. In Direct API processed_currency must match currency (transaction currency)",
        "maxLength": 3,
        "type": "string"
      },
      "spread_amount": {
        "description": "The calculated amount that was subtracted from the total.",
        "maxLength": 20,
        "type": "integer"
      },
      "fee": {
        "description": "Transaction fee based on the gateway settings",
        "maxLength": 20,
        "type": "integer"
      },
      "fee_included": {
        "description": "Whether fee is included in the amount specified by customer within cashier or specified by the website in the cashier (VT) login call",
        "maxLength": 1,
        "enum": [
          0,
          1
        ],
        "type": "integer"
      },
      "fee_type": {
        "description": "Can be either \"flat\" (flat fee amount) or \"percent\" (percent of the transaction amount)  or \"hybrid\" ",
        "maxLength": 32,
        "type": "string",
        "enum": [
          "flat",
          "percent",
          "hybrid"
        ]
      },
      "transaction_status": {
        "description": "Transaction status will change along with processing. Refer [Transaction Statuses](https://docs.praxis.tech/docs/transaction-statuses) for more details",
        "maxLength": 16,
        "type": "string"
      },
      "transaction_id": {
        "description": "PSP transaction identifier",
        "maxLength": 50,
        "type": "string"
      },
      "conversion_rate": {
        "description": "Conversion rate between `currency` and `processed_currency` applied during conversion from `amount` to `processed_amount`. Applies to successful transactions. The value is calculated as 1 processed_currency / 1 currency = conversion_rate",
        "maxLength": 30,
        "format": "double",
        "type": "number",
        "minimum": 0,
        "maximum": 9999999999.999998
      },
      "payment_processor": {
        "description": "Payment processor",
        "maxLength": 50,
        "type": "string"
      },
      "is_async": {
        "description": "Credit card - indicates if the transaction processing involves the 3DSecure verification\r\n- 0 for synchronous flow (non-3D Secure)\r\n- 1 for asynchronous flow (3D Secure)",
        "maximum": 1,
        "enum": [
          0,
          1
        ],
        "type": "integer"
      },
      "is_cascade": {
        "description": "Indicates the verification status of the cards returned in the list.\n- 1 for verified (default)\n- 0 for not verified",
        "maximum": 1,
        "enum": [
          0,
          1
        ],
        "type": "integer"
      },
      "cascade_level": {
        "description": "Transaction retry number (in case of soft decline or network/application error during communication with PSP)",
        "maxLength": 2,
        "type": "integer"
      },
      "reference_id": {
        "description": "In case of refund, this value specifies the ID of transaction to be refunded",
        "maxLength": 11,
        "type": "integer"
      },
      "account_identifier": {
        "description": "Account Identifier",
        "type": "string"
      },
      "created_by": {
        "description": "Transaction initiator. Customer's activity is reflected with INTERNET, otherwise equals the name of the compliance or support agent",
        "maxLength": 50,
        "type": "string"
      },
      "edited_by": {
        "description": "Transaction modified by. Customer's activity is reflected with INTERNET, otherwise equals the name of the compliance or support agent",
        "maxLength": 50,
        "type": "string"
      },
      "status_code": {
        "description": "Processing status code (including processing and error codes)",
        "maxLength": 32,
        "type": "string"
      },
      "status_details": {
        "description": "Verbal description of the processing status",
        "maxLength": 256,
        "type": "string"
      },
      "promo_code": {
        "description": "Promo Code value, entered by the customer in Cashier.\r\n",
        "maxLength": 255,
        "type": "string"
      },
      "card_holder": {
        "description": "The cardholder name field will be sent to the CRM in the notification only if the setting in the Atlas BO is enabled. Otherwise, the key will not be sent at all (not 0 / null / empty string).",
        "maxLength": 255,
        "type": "string"
      },
      "card_funding_source": {
        "description": "Funding source (DEBIT, CREDIT). This parameter including in the request by enabling an additional setting on Atlas BO.",
        "maxLength": 255,
        "type": "string"
      },
      "card_subtype": {
        "description": "The card category subtype is CONSUMER or COMMERCIAL. This parameter is included in the request when an additional setting is enabled in the Atlas BO.",
        "maxLength": 255,
        "type": "string"
      },
      "card": {
        "description": "The card object represents the card details having the sensitive information masked. The card object appears within the transaction object as a part of the card transaction notification.",
        "type": "object",
        "properties": {
          "card_token": {
            "$ref": "#/components/schemas/card_token"
          },
          "card_type": {
            "$ref": "#/components/schemas/card_type"
          },
          "card_number": {
            "$ref": "#/components/schemas/card_number"
          },
          "card_exp": {
            "$ref": "#/components/schemas/card_exp"
          },
          "card_issuer_name": {
            "$ref": "#/components/schemas/card_issuer_name"
          },
          "card_issuer_country": {
            "$ref": "#/components/schemas/card_issuer_country"
          },
          "card_holder": {
            "$ref": "#/components/schemas/card_holder"
          },
          "card_funding_source": {
            "$ref": "#/components/schemas/card_funding_source"
          },
          "card_subtype": {
            "$ref": "#/components/schemas/card_subtype"
          }
        }
      },
      "wallet": {
        "description": "Wallet Object\n\n*__Note 1:__* _Not all wallets have a reusable structure that can be serialized._\n\n*__Note 2:__* _Any wallet identified by \"wallet_token\": \"1bl8c8BxAd7vRbMWy0ahh71qDH_7CebB\" is considered a void wallet.The customer will not see it in the dropdown of saved payment methods, and it cannot be used for direct/wallet-token API calls._\n\n_Likewise, \"account_identifier\": \"1bl8c8BxAd7vRbMWy0ahh71qDH_7CebB\" is also considered void._",
        "type": "object"
      },
      "currency": {
        "description": "**Base Currency**: The user's account currency on the merchant site.",
        "maxLength": 10,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "redirect_url": {
        "description": "3D Secure verification URL or e-wallet login URL. Appears only in combination with \"__transaction_status__\":\"__initialized__\".",
        "maxLength": 256,
        "type": "string"
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "transaction_type": {
        "description": "Transaction type.",
        "maxLength": 16,
        "type": "string"
      },
      "transaction": {
        "description": "Transaction object provided during the response.",
        "required": [
          "transaction_status",
          "tid",
          "fee",
          "amount",
          "currency",
          "fee_included",
          "payment_method",
          "payment_processor",
          "gateway",
          "created_by",
          "edited_by",
          "status_code",
          "status_details",
          "transaction_type"
        ],
        "type": "object",
        "properties": {
          "transaction_type": {
            "$ref": "#/components/schemas/transaction_type",
            "description": "Transaction type. Allowed values are:\r\n- authorization (authorization and capture)\r\n- sale (deposit)\r\n- payout (withdrawal)\r\n- refund (return deposit funds)",
            "enum": [
              "authorization",
              "sale",
              "payout",
              "refund"
            ]
          },
          "transaction_status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "tid": {
            "$ref": "#/components/schemas/tid"
          },
          "transaction_id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "currency": {
            "$ref": "#/components/schemas/currency"
          },
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "conversion_rate": {
            "$ref": "#/components/schemas/conversion_rate"
          },
          "processed_currency": {
            "$ref": "#/components/schemas/processed_currency"
          },
          "processed_amount": {
            "$ref": "#/components/schemas/processed_amount"
          },
          "spread_currency": {
            "$ref": "#/components/schemas/spread_currency"
          },
          "spread_amount": {
            "$ref": "#/components/schemas/spread_amount"
          },
          "fee": {
            "$ref": "#/components/schemas/fee"
          },
          "fee_included": {
            "$ref": "#/components/schemas/fee_included"
          },
          "fee_type": {
            "$ref": "#/components/schemas/fee_type"
          },
          "payment_method": {
            "$ref": "#/components/schemas/payment_method",
            "description": "Payment method."
          },
          "payment_processor": {
            "$ref": "#/components/schemas/payment_processor"
          },
          "gateway": {
            "$ref": "#/components/schemas/gateway"
          },
          "card": {
            "$ref": "#/components/schemas/card",
            "description": "Tokenized card object"
          },
          "mit": {
            "$ref": "#/components/schemas/mit",
            "description": "MIT object contains the list of settings for processing merchant-initiated transactions (MIT). The object is sent within notification only if MIT flow is used. "
          },
          "wallet": {
            "$ref": "#/components/schemas/wallet",
            "description": "Tokenized wallet object"
          },
          "is_async": {
            "$ref": "#/components/schemas/is_async"
          },
          "is_cascade": {
            "$ref": "#/components/schemas/is_cascade"
          },
          "cascade_level": {
            "$ref": "#/components/schemas/cascade_level"
          },
          "reference_id": {
            "$ref": "#/components/schemas/reference_id"
          },
          "withdrawal_request_id": {
            "$ref": "#/components/schemas/withdrawal_request_id"
          },
          "account_identifier": {
            "$ref": "#/components/schemas/account_identifier"
          },
          "created_by": {
            "$ref": "#/components/schemas/created_by"
          },
          "edited_by": {
            "$ref": "#/components/schemas/edited_by"
          },
          "status_code": {
            "$ref": "#/components/schemas/status_code"
          },
          "status_details": {
            "$ref": "#/components/schemas/status_details"
          },
          "promo_code": {
            "$ref": "#/components/schemas/promo_code"
          },
          "redirect_url": {
            "$ref": "#/components/schemas/redirect_url",
            "description": "In order to have the \"redirect_url\" property appearing under transaction object, you will need to reach out to our support - requesting to enable the \"Notifications for the delayed processing via Direct API\" setting.\r\n\r\n_**Note:** Info that application may always include redirect_url attribute (empty or having the value) if requested from our support._",
            "maxLength": 256
          }
        }
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "object_response_200_ok_capture_cancel_auth_req": {
        "description": "200 Successful response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "type": "object",
            "properties": {
              "transaction": {
                "$ref": "#/components/schemas/transaction"
              }
            }
          }
        ]
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "payload_capture_or_cancel_auth_req_requestData": {
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_base_properties"
          },
          {
            "required": [
              "tid",
              "intent"
            ],
            "type": "object",
            "properties": {
              "tid": {
                "$ref": "#/components/schemas/tid"
              },
              "intent": {
                "description": "Action intended to be executed:\r\n- `capture-authorization` to capture the authorization\r\n- `cancel-authorization` to cancel the authorization",
                "enum": [
                  "capture-authorization",
                  "cancel-authorization"
                ],
                "type": "string"
              }
            }
          }
        ]
      },
      "tid": {
        "description": "Transaction identifier",
        "maxLength": 11,
        "type": "integer"
      },
      "property_req_header_signature_params_for_manage_transactions": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`\n- `intent`\n- `tid`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "property_res_header_signature_params_for_manage_transactions": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`\n- `transaction.tid`\n- `transaction.transaction_status`\n- `transaction.processed_currency`\n- `transaction.processed_amount`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-capture-cancel-auth-req-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_for_manage_transactions"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_capture_cancel_auth_req"
            },
            "examples": {
              "capture authorization success response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "transaction": {
                    "transaction_type": "authorization",
                    "transaction_status": "approved",
                    "tid": 756850,
                    "transaction_id": "13397",
                    "currency": "EUR",
                    "amount": 100,
                    "conversion_rate": 1,
                    "charge_currency": "EUR",
                    "charge_amount": 100,
                    "fee": 0,
                    "payment_method": "Credit Card",
                    "payment_processor": "TestCardProcessor",
                    "gateway": "s-pTSZyK23E1Ee5KZpcNbX_aFl0HuhQ0",
                    "card": {
                      "card_token": "J-4-a0vPhjZ9R75JP98VDUFgbh9y8sYr",
                      "card_type": "VISA",
                      "card_number": "411111******1111",
                      "card_exp": "12/2024",
                      "card_issuer_name": "Bank of Somewhere",
                      "card_issuer_country": "GB"
                    },
                    "is_3d": 0,
                    "is_cascade": 0,
                    "cascade_level": 0,
                    "reference_id": 756850,
                    "withdrawal_request_id": 756853,
                    "created_by": "INTERNET",
                    "edited_by": "INTERNET",
                    "status_code": "SC-002",
                    "status_details": "Transaction approved"
                  },
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              },
              "capture authorization failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "transaction": {
                    "transaction_type": "authorization",
                    "transaction_status": "error",
                    "tid": 756853,
                    "transaction_id": "13348",
                    "currency": "EUR",
                    "amount": 100,
                    "conversion_rate": 1,
                    "charge_currency": "EUR",
                    "charge_amount": 100,
                    "fee": 0,
                    "payment_method": "Credit Card",
                    "payment_processor": "TestCardProcessor",
                    "gateway": "s-pTSZyK23E1Ee5KZpcNbX_aFl0HuhQ0",
                    "avs_alert": 0,
                    "verification_alert": 0,
                    "cid": "1",
                    "is_3d": 0,
                    "is_cascade": 0,
                    "cascade_level": 0,
                    "reference_id": 756850,
                    "withdrawal_request_id": 756853,
                    "created_by": "INTERNET",
                    "edited_by": "INTERNET",
                    "status_code": "0",
                    "status_details": "Authorization flow is not supported. Only Zero-Auth supported."
                  },
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              },
              "cancel authorization success response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "transaction": {
                    "transaction_type": "authorization",
                    "transaction_status": "rejected",
                    "tid": 2320345,
                    "transaction_id": "168809",
                    "currency": "EUR",
                    "amount": 1000,
                    "conversion_rate": "1.000000",
                    "fee": 0,
                    "fee_included": 0,
                    "fee_type": "flat",
                    "payment_method": "Credit Card",
                    "payment_processor": "Test Card Processor",
                    "gateway": "321bc27b4bcfe71c85d021a17c9d0c19",
                    "card": {
                      "card_token": "bd58e93f8fafda3e95e94c6b71fb5ab5",
                      "card_type": "VISA",
                      "card_number": "420000******0000",
                      "card_exp": "05/2034",
                      "card_issuer_name": "JPMORGAN CHASE BANK, N.A.",
                      "card_issuer_country": "US"
                    },
                    "is_async": 0,
                    "is_cascade": 0,
                    "created_by": "INTERNET",
                    "status_code": "0",
                    "status_details": "Transaction status: Cancelled"
                  },
                  "version": "1.3",
                  "timestamp": 1741252604
                }
              },
              "cancel authorization failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "transaction": {
                    "transaction_type": "authorization",
                    "transaction_status": "rejected",
                    "tid": 756853,
                    "transaction_id": "13348",
                    "currency": "EUR",
                    "amount": 100,
                    "conversion_rate": 1,
                    "charge_currency": "EUR",
                    "charge_amount": 100,
                    "fee": 0,
                    "payment_method": "Credit Card",
                    "payment_processor": "TestCardProcessor",
                    "gateway": "s-pTSZyK23E1Ee5KZpcNbX_aFl0HuhQ0",
                    "avs_alert": 0,
                    "verification_alert": 0,
                    "cid": "1",
                    "is_3d": 0,
                    "is_cascade": 0,
                    "cascade_level": 0,
                    "reference_id": 756850,
                    "withdrawal_request_id": 756853,
                    "created_by": "INTERNET",
                    "edited_by": "INTERNET",
                    "status_code": "SC-003",
                    "status_details": "Transaction rejected"
                  },
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```